/*
  DIRSPAN.H -- Function to enumerate files in directories/subdirectories

  Copyright  1997, Jim Mischel

  Modification History
  --------------------
  08/02/97 -- jim -- Initial coding
*/
#ifndef __DIRSPAN_H
#define __DIRSPAN_H

#include "ctypes.h"

#ifdef __cplusplus
    extern "C" {
#endif

typedef void (*dirspanEnumCallback)(char const *Filename);

void dirspanEnumFiles
    (
      char const          *arg,
      BOOL const          DoSubdirs,
      dirspanEnumCallback Callback
    );


#ifdef __cplusplus
    }
#endif

#endif  // __DIRSPAN_H

